## IAnjutaFileManager IAnjutaFileManager — File manager plugin |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-file-manager.h>

    #define             IANJUTA_FILE_MANAGER_ERROR
    #define             IANJUTA_FILE_MANAGER_SELECTED_FILE
                        IAnjutaFileManager;
                        IAnjutaFileManagerIface;
    GQuark              ianjuta_file_manager_error_quark    (void);
    GFile*              ianjuta_file_manager_get_selected   (IAnjutaFileManager *obj,
                                                             GError **err);
    void                ianjuta_file_manager_set_root       (IAnjutaFileManager *obj,
                                                             const gchar *root_uri,
                                                             GError **err);
    void                ianjuta_file_manager_set_selected   (IAnjutaFileManager *obj,
                                                             GFile *file,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaFileManager

## Prerequisites

IAnjutaFileManager requires GObject.

## Signals

      "section-changed"                                : Run Last

## Description

## Details

### IANJUTA_FILE_MANAGER_ERROR

    #define IANJUTA_FILE_MANAGER_ERROR ianjuta_file_manager_error_quark()

### IANJUTA_FILE_MANAGER_SELECTED_FILE

    #define IANJUTA_FILE_MANAGER_SELECTED_FILE "file_manager_selected_file"

Anjuta shell value set by file manager to the selected file.

### IAnjutaFileManager

    typedef struct _IAnjutaFileManager IAnjutaFileManager;

### IAnjutaFileManagerIface

    typedef struct {
    	GTypeInterface g_iface;

    	/* Signal */
    	void (*section_changed) (IAnjutaFileManager *obj, GFile* file);

    	GFile* (*get_selected) (IAnjutaFileManager *obj, GError **err);
    	void (*set_root) (IAnjutaFileManager *obj, const gchar *root_uri, GError **err);
    	void (*set_selected) (IAnjutaFileManager *obj, GFile* file, GError **err);
    } IAnjutaFileManagerIface;

### ianjuta_file_manager_error_quark ()

    GQuark              ianjuta_file_manager_error_quark    (void);

Returns : |

### ianjuta_file_manager_get_selected ()

    GFile*              ianjuta_file_manager_get_selected   (IAnjutaFileManager *obj,
                                                             GError **err);

fixme

`obj` : | Self
`err` : | Error propagation and reporting.
Returns : |

### ianjuta_file_manager_set_root ()

    void                ianjuta_file_manager_set_root       (IAnjutaFileManager *obj,
                                                             const gchar *root_uri,
                                                             GError **err);

fixme

`obj` : | Self
`root_uri` : | fixme
`err` : | Error propagation and reporting.

### ianjuta_file_manager_set_selected ()

    void                ianjuta_file_manager_set_selected   (IAnjutaFileManager *obj,
                                                             GFile *file,
                                                             GError **err);

fixme.

`obj` : | Self
`file` : | File to select
`err` : | Error propagation and reporting.

## Signal Details

### The `"section-changed"` signal

    void                user_function                      (IAnjutaFileManager *obj,
                                                            GObject            *err,
                                                            gpointer            user_data)      : Run Last

fixme

`obj` : | Self
`err` : | Error propagation and reporting.
`user_data` : | user data set when the signal handler was connected.